#!/bin/sh
# This is /root/Startup/dlna_status.sh   ETP 15th May 2021
# At boot time it gives a multilingual spoken status report to confirm that the DLNA server is running
# together with a count of the shared files in the targeted repository. This is a new feature.
#
#
sleep 40 # Allows time for any startup/welcome/alarm message and for the repository to be mounted & parsed.
player=mpv
dlnacount=`perl -nle 'print $1 if /\((.*)\)/' /var/log/minidlna.log`
trans -b -p -player $player $TTS_FROM: :$TTS_TO "Please note that the DLNA server is active with $dlnacount in the repository." &
xdotool mousemove --polar 0 0 mousemove_relative 0  40
yaf-splash -close never -fontsize large -bg yellow -fg black -timeout 12 -text "DLNA server is active with $dlnacount in the repository."
